> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supported banks



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/transfers/fiat/banks
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/transfers/fiat/banks:
    get:
      tags:
        - NGN Transfers
      summary: Get supported banks
      operationId: FiatTransfersController_getSupportedBanks
      responses:
        '200':
          description: Supported banks retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedBanksResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    SupportedBanksResponse:
      type: object
      required:
        - status
        - statusCode
        - message
        - data
      properties:
        status:
          type: boolean
        statusCode:
          type: integer
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/SupportedBank'
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    SupportedBank:
      type: object
      required:
        - bankname
        - bankcode
      properties:
        bankname:
          type: string
        bankcode:
          type: string
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````